Bug 1011716 - pulp-selinux failing to install on f - 19
pulp-selinux failing to install on f - 19
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: rpm-support (Show other bugs)
Master
Unspecified Unspecified
urgent Severity unspecified
: ---
: 2.3.0
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 19:19 EDT by Partha Aji
Modified: 2015-03-22 21:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2013-09-24 19:19:17 EDT
Description of problem:
Looks like pulp selinux rpm needs an updated version of Selinux-policy-targeted rpm on Fedora 19.

Version-Release number of selected component (if applicable):
pulp-admin-client-2.3.0-0.14.alpha.fc19.noarch
pulp-nodes-common-2.3.0-0.14.alpha.fc19.noarch
pulp-nodes-admin-extensions-2.3.0-0.14.alpha.fc19.noarch
pulp-puppet-plugins-2.3.0-0.14.alpha.fc19.noarch
pulp-katello-plugins-0.2-1.fc19.noarch
pulp-agent-2.3.0-0.14.alpha.fc19.noarch
pulp-puppet-consumer-extensions-2.3.0-0.14.alpha.fc19.noarch
pulp-puppet-admin-extensions-2.3.0-0.14.alpha.fc19.noarch
pulp-rpm-handlers-2.3.0-0.14.alpha.fc19.noarch
pulp-puppet-handlers-2.3.0-0.14.alpha.fc19.noarch
pulp-selinux-2.3.0-0.14.alpha.fc19.noarch
python-isodate-0.5.0-1.pulp.fc19.noarch
python-pulp-agent-lib-2.3.0-0.14.alpha.fc19.noarch
python-pulp-puppet-common-2.3.0-0.14.alpha.fc19.noarch
python-pulp-client-lib-2.3.0-0.14.alpha.fc19.noarch
python-pulp-rpm-extension-2.3.0-0.14.alpha.fc19.noarch
python-pulp-bindings-2.3.0-0.14.alpha.fc19.noarch
pulp-consumer-client-2.3.0-0.14.alpha.fc19.noarch
createrepo-0.9.9-21.2.pulp.fc19.noarch
pulp-server-2.3.0-0.14.alpha.fc19.noarch
pulp-nodes-child-2.3.0-0.14.alpha.fc19.noarch
pulp-nodes-parent-2.3.0-0.14.alpha.fc19.noarch
pulp-rpm-plugins-2.3.0-0.14.alpha.fc19.noarch
pulp-rpm-consumer-extensions-2.3.0-0.14.alpha.fc19.noarch
pulp-rpm-admin-extensions-2.3.0-0.14.alpha.fc19.noarch
pulp-rpm-yumplugins-2.3.0-0.14.alpha.fc19.noarch
m2crypto-0.21.1.pulp-7.fc19.x86_64
python-pulp-common-2.3.0-0.14.alpha.fc19.noarch
python-pulp-rpm-common-2.3.0-0.14.alpha.fc19.noar






How reproducible:
Always

Steps to Reproduce:
1. Provision a system with f-19 base
2. Setup pulp repos
3. yum install pulp*
4. ls -laZ /srv/pulp/webservices.wsgi 
Actual results: 
-rw-r--r--. apache apache system_u:object_r:var_t:s0       /srv/pulp/webservices.wsgi

Expected results:
-rw-r--r--. apache apache system_u:object_r:httpd_sys_content_t:s0 /srv/pulp/webservices.wsgi

5. rpm -e pulp-selinux; yum install -y pulp-selinux gives the same result as 4
6. yum update -y *selinux*

Loaded plugins: pulp-profile-update
Resolving Dependencies
--> Running transaction check
---> Package selinux-policy.noarch 0:3.12.1-54.fc19 will be updated
---> Package selinux-policy.noarch 0:3.12.1-74.4.fc19 will be an update
---> Package selinux-policy-targeted.noarch 0:3.12.1-54.fc19 will be updated
---> Package selinux-policy-targeted.noarch 0:3.12.1-74.4.fc19 will be an update
--> Finished Dependency Resolution

7. rpm -e pulp-selinux; yum install -y pulp-selinux
8. ls -laZ /srv/pulp/webservices.wsgi 
Actual results: 
-rw-r--r--. apache apache system_u:object_r:httpd_sys_content_t:s0 /srv/pulp/webservices.wsgi

So that worked ... pulp-selinux needs to have an updated version of selinux-policy-targeted.noarch
Comment 1 Jeff Ortel 2013-10-11 11:26:05 EDT
build: 2.3.0-0.18.beta
Comment 2 Preethi Thomas 2013-10-15 12:42:05 EDT
fails-qa

---> Package pulp-selinux.noarch 0:2.3.0-0.20.beta.fc19 will be installed
--> Processing Dependency: policycoreutils-python >= 3.12.1-74 for package: pulp-selinux-2.3.0-0.20.beta.fc19.noarch
---> Package python-greenlet.x86_64 0:0.4.0-1.fc19 will be installed
--> Finished Dependency Resolution
Error: Package: pulp-selinux-2.3.0-0.20.beta.fc19.noarch (pulp-v2-beta)
           Requires: policycoreutils-python >= 3.12.1-74
           Available: policycoreutils-python-2.1.14-45.fc19.x86_64 (beaker-Fedora)
               policycoreutils-python = 2.1.14-45.fc19
           Available: policycoreutils-python-2.1.14-46.6.fc19.x86_64 (updates)
               policycoreutils-python = 2.1.14-46.6.fc19
Error: Package: pulp-selinux-2.3.0-0.20.beta.fc19.noarch (pulp-v2-beta)
           Requires: policycoreutils-python >= 3.12.1-74
           Available: policycoreutils-python-2.1.14-45.fc19.x86_64 (beaker-Fedora)
               policycoreutils-python = 2.1.14-45.fc19
           Installing: policycoreutils-python-2.1.14-46.6.fc19.x86_64 (updates)
               policycoreutils-python = 2.1.14-46.6.fc19
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@qeblade6 yum.repos.d]#
Comment 3 Sayli Karmarkar 2013-10-15 13:00:40 EDT
Removed wrong version dependency on policycoreutils-python and added the dependency on the updated version of selinux-policy-targeted.
Comment 4 Jeff Ortel 2013-10-15 17:25:24 EDT
build: 2.3.0-0.21.beta
Comment 5 Preethi Thomas 2013-10-16 09:18:25 EDT
verified

[root@ibm-x3650m4-01-vm-16 ~]#  ls -laZ /srv/pulp/webservices.wsgi 
-rw-r--r--. apache apache system_u:object_r:httpd_sys_content_t:s0 /srv/pulp/webservices.wsgi
[root@ibm-x3650m4-01-vm-16 ~]# 
[root@ibm-x3650m4-01-vm-16 ~]# 
[root@ibm-x3650m4-01-vm-16 ~]# rpm -qa |grep pulp-selinux
pulp-selinux-2.3.0-0.21.beta.fc19.noarch
[root@ibm-x3650m4-01-vm-16 ~]# 


[root@ibm-x3650m4-01-vm-16 ~]# yum remove pulp-selinux
Resolving Dependencies
--> Running transaction check
---> Package pulp-selinux.noarch 0:2.3.0-0.21.beta.fc19 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch       Version                    Repository         Size
================================================================================
Removing:
 pulp-selinux     noarch     2.3.0-0.21.beta.fc19       @pulp-v2-beta      82 k

Transaction Summary
================================================================================
Remove  1 Package

Installed size: 82 k
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Erasing    : pulp-selinux-2.3.0-0.21.beta.fc19.noarch                     1/1 
warning: file /usr/share/selinux/devel/include/apps/pulp-server.if: remove failed: No such file or directory
  Verifying  : pulp-selinux-2.3.0-0.21.beta.fc19.noarch                     1/1 

Removed:
  pulp-selinux.noarch 0:2.3.0-0.21.beta.fc19                                    

Complete!
[root@ibm-x3650m4-01-vm-16 ~]#  ls -laZ /srv/pulp/webservices.wsgi 
-rw-r--r--. apache apache system_u:object_r:var_t:s0       /srv/pulp/webservices.wsgi
[root@ibm-x3650m4-01-vm-16 ~]# 
[root@ibm-x3650m4-01-vm-16 ~]# 
[root@ibm-x3650m4-01-vm-16 ~]# yum install pulp-selinux
Resolving Dependencies
--> Running transaction check
---> Package pulp-selinux.noarch 0:2.3.0-0.21.beta.fc19 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch       Version                     Repository        Size
================================================================================
Installing:
 pulp-selinux     noarch     2.3.0-0.21.beta.fc19        pulp-v2-beta      52 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 52 k
Installed size: 82 k
Is this ok [y/d/N]: y
Downloading packages:
pulp-selinux-2.3.0-0.21.beta.fc19.noarch.rpm               |  52 kB   00:00     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : pulp-selinux-2.3.0-0.21.beta.fc19.noarch                     1/1 
  Verifying  : pulp-selinux-2.3.0-0.21.beta.fc19.noarch                     1/1 

Installed:
  pulp-selinux.noarch 0:2.3.0-0.21.beta.fc19                                    

Complete!
[root@ibm-x3650m4-01-vm-16 ~]#  ls -laZ /srv/pulp/webservices.wsgi 
-rw-r--r--. apache apache system_u:object_r:httpd_sys_content_t:s0 /srv/pulp/webservices.wsgi
[root@ibm-x3650m4-01-vm-16 ~]#
Comment 6 Preethi Thomas 2013-12-09 09:31:40 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.